Bug 1129889 - Review Request: fig - Punctual, lightweight development environments using Docker
Summary: Review Request: fig - Punctual, lightweight development environments using Do...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 21:21 UTC by Adam Miller
Modified: 2014-11-30 11:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 15:57:40 UTC
i: fedora-review?


Attachments (Terms of Use)

Description Adam Miller 2014-08-13 21:21:16 UTC
Spec URL: https://maxamillion.fedorapeople.org/fig.spec
SRPM URL: https://maxamillion.fedorapeople.org/fig-0.5.1-2.fc22.src.rpm
Description: Punctual, lightweight development environments using Docker
Fedora Account System Username: maxamillion

Comment 1 Christopher Meng 2014-08-19 05:14:44 UTC
1. Antiquated lines:

%if 0%{?fedora} < 13
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

2. Drop Group:          Development/Libraries

3. https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

(EPEL plz also check: https://fedoraproject.org/wiki/Packaging:Python#Macros)

4. BuildArch?

5. Drop %clean.

6. Drop PKG-INFO MANIFEST.in setup.cfg tox.ini requirements-dev.txt requirements.txt

7. %description too poor, please improve(do not repeat the %summary).

8. URL: http://www.fig.sh/          // Nice domain

9. Not the latest version.

10. Use %{version} in Source URL.

Comment 2 Adam Miller 2014-08-19 19:28:23 UTC
1) Removed.

2) Removed.

3) Fixed.

4) It's a dep on docker.io (docker-io package), it's x86_64-only which is what fig exists to orchestrate so I didn't think it made sense to have fig build/install on other architectures and have it not function. As Docker upstream adds support for other architectures we should be able to add more architectures.

5) Removed.

6) Fixed.

7) Fixed - I think, feedback welcomed if this isn't enough.

8) Fixed.

9) Updated.

10) Fixed, also using %{name} now

Spec URL: https://maxamillion.fedorapeople.org/fig.spec
SRPM URL: https://maxamillion.fedorapeople.org/fig-0.5.1-2.fc22.src.rpm

Comment 3 Adam Miller 2014-08-19 19:55:03 UTC
Sorry, wrong SRPM in previous comment.

Spec URL: https://maxamillion.fedorapeople.org/fig.spec
SRPM URL: https://maxamillion.fedorapeople.org/fig-0.5.2-1.fc22.src.rpm

Comment 4 Christopher Meng 2014-08-21 05:12:20 UTC
(In reply to Adam Miller from comment #2)
> 4) It's a dep on docker.io (docker-io package), it's x86_64-only which is
> what fig exists to orchestrate so I didn't think it made sense to have fig
> build/install on other architectures and have it not function. As Docker
> upstream adds support for other architectures we should be able to add more
> architectures.

I meant that this package should be noarch. CFLAGS are superfluous here.

And you still didn't use the correct *VERSIONED* python macros.

Requires:       python-setuptools, I'm sure it's a mistake.

%if 0%{?with_python3} should be removed from the SPEC.

Plus, bundled egg should be dropped before the build.

Comment 5 Adam Miller 2014-08-22 15:54:04 UTC
Spec URL: https://maxamillion.fedorapeople.org/fig.spec
SRPM URL: https://maxamillion.fedorapeople.org/fig-0.5.2-2.fc22.src.rpm

CFLAGS dropped

properly versioned the python macros, sorry for the oversight

removed python-setuptools, that should only be a build time requirement

removed python3 conditional

removed bundled egg in %prep

Comment 6 Christopher Meng 2014-08-28 01:42:54 UTC
Are you going to put it into EPEL6? If not please %{python_sitelib} -> %{python2_sitelib}

https://fedoraproject.org/wiki/Packaging:Python#Macros

Comment 7 Adam Miller 2014-08-28 14:49:54 UTC
I'm mostly on the fence about supporting EPEL6 since I can't do EPEL7 because python-requests is included in RHEL7 proper but is too old and EPEL has a policy about not updating core RHEL packages.

For now I'm going to not include the macros and stick only to Fedora for this package.

-AdamM

Comment 8 Bohuslav "Slavek" Kabrda 2014-09-03 11:48:24 UTC
It seems that fig bundles python-docker and python-six (see fig/packages). I think you need to either unbundle these or ask FPC for bundling exception.

Comment 9 Adam Miller 2014-09-22 15:57:40 UTC
I've decided to look into kubernetes from now on, I thank you for your time to review and I apologize for time lost, but I'm going to focus elsewhere for docker container orchestration.

Thank you,
-AdamM


Note You need to log in before you can comment on or make changes to this bug.